#!/bin/bash

die() {
    echo $* >&2
    exit 1
}

export SHELL=/bin/bash
export PYTHON=python

# Download latest portage snapshot
wget -O /var/lib/catalyst/store/snapshots/portage-latest.tar.bz2 \
    https://gentoo.osuosl.org/releases/snapshots/current/portage-latest.tar.bz2

# Update stage3 snapshot
catalyst -c /var/lib/catalyst/catalyst.conf \
    -f /var/lib/catalyst/stage3.spec -a

# Update custom packages
catalyst -c /var/lib/catalyst/catalyst.conf \
    -f /var/lib/catalyst/build.spec

# Copy distfiles to web directory
rsync -avug /var/lib/catalyst/store/packages/default/stage3-amd64/ \
    /var/cache/portage/packages/
